%global glib2_version 2.69
%global gtk4_version 4.4
%global gtksourceview_version 5.3.1
%global enchant_version 2.2.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-text-editor
Version:	42.0
Release:	1%{?dist}
Summary:	A simple text editor for the GNOME desktop

License:	GPLv3+
URL:		https://gitlab.gnome.org/GNOME/gnome-text-editor
Source0:	https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz

BuildRequires:	pkgconfig(enchant-2) >= %{enchant_version}
BuildRequires:	pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gtksourceview-5) >= %{gtksourceview_version}
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	/usr/bin/appstream-util

Requires:	glib2%{?_isa} >= %{glib2_version}
Requires:	enchant2%{?_isa} >= %{enchant_version}
Requires:	gtk4%{?_isa} >= %{gtk4_version}
Requires:	gtksourceview5%{?_isa} >= %{gtksourceview_version}

%description
GNOME Text Editor is a simple text editor that focuses on session management.
It works hard to keep track of changes and state even if you quit the application.
You can come back to your work even if you've never saved it to a file.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson -Ddevelopment=false
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.TextEditor.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.TextEditor.desktop


%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_bindir}/gnome-text-editor
%{_metainfodir}/org.gnome.TextEditor.appdata.xml
%{_datadir}/applications/org.gnome.TextEditor.desktop
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.gnome.TextEditor.service
%{_datadir}/glib-2.0/schemas/org.gnome.TextEditor.gschema.xml
%{_datadir}/gnome-text-editor/
%{_datadir}/icons/hicolor/*/*/*.svg


%changelog
* Sat Mar 19 2022 David King <amigadave@amigadave.com> - 42.0-1
- Updateto 42.0

* Tue Mar 08 2022 David King <amigadave@amigadave.com> - 42~rc1-1
- Update to 42.rc1

* Thu Jan 20 2022 David King <amigadave@amigadave.com> - 42~alpha2-1
- Update to 42.alpha2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Neal Gompa <ngompa@fedoraproject.org> - 41.1-1
- Update to 41.1

* Tue Oct 05 2021 Neal Gompa <ngompa@fedoraproject.org> - 41.0-1
- Initial packaging

